from pydantic import BaseModel


class User(BaseModel):
    id: int
    username: str
    password: str
    roles: str
    disabled: bool

class UserOut(BaseModel):
    id: int
    username: str
    roles: str
    disabled: bool

class UserInDB(User):
    password: str